- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Namespace List
- Namespace Members

# PortableInterceptor Namespace Reference

## Typedefs
typedef ClientRequestInterceptor * | ClientRequestInterceptor_ptr
typedef CORBA::Short | ReplyStatus
typedef IORInterceptor * | IORInterceptor_ptr
typedef IORInfo * | IORInfo_ptr
typedef IORInterceptor * | IORInterceptor_ptr
typedef ClientRequestInterceptor * | ClientRequestInterceptor_ptr
typedef ServerRequestInterceptor * | ServerRequestInterceptor_ptr
typedef ORBInitializer * | ORBInitializer_ptr
typedef ORBInitializer * | ORBInitializer_ptr
typedef CORBA::ULong | SlotId
typedef char * | ServerId
typedef CORBA::String_var | ServerId_var
typedef CORBA::String_out | ServerId_out
typedef char * | ORBId
typedef CORBA::String_var | ORBId_var
typedef CORBA::String_out | ORBId_out
typedef CORBA::StringSeq | AdapterName
typedef CORBA::StringSeq_var | AdapterName_var
typedef CORBA::StringSeq_out | AdapterName_out
typedef CORBA::OctetSeq | ObjectId
typedef CORBA::OctetSeq_var | ObjectId_var
typedef CORBA::OctetSeq_out | ObjectId_out
typedef CORBA::Long | AdapterManagerId
typedef CORBA::Long_out | AdapterManagerId_out
typedef CORBA::Short | AdapterState
typedef CORBA::Short_out | AdapterState_out
typedef CORBA::ULong | SlotId
typedef CORBA::ULong_out | SlotId_out
typedef CORBA::Short | ReplyStatus
typedef CORBA::Short_out | ReplyStatus_out
typedef PolicyFactory * | PolicyFactory_ptr
typedef ServerRequestInterceptor * | ServerRequestInterceptor_ptr
typedef CORBA::Short | ReplyStatus
## Functions
void | register_orb_initializer (ORBInitializer_ptr init)
## Variables
const PortableInterceptor::AdapterState | HOLDING = 0
const PortableInterceptor::AdapterState | ACTIVE = 1
const PortableInterceptor::AdapterState | DISCARDING = 2
const PortableInterceptor::AdapterState | INACTIVE = 3
const PortableInterceptor::AdapterState | NON_EXISTENT = 4
const PortableInterceptor::ReplyStatus | SUCCESSFUL = 0
const PortableInterceptor::ReplyStatus | SYSTEM_EXCEPTION = 1
const PortableInterceptor::ReplyStatus | USER_EXCEPTION = 2
const PortableInterceptor::ReplyStatus | LOCATION_FORWARD = 3
const PortableInterceptor::ReplyStatus | TRANSPORT_RETRY = 4
const PortableInterceptor::ReplyStatus | UNKNOWN = 5

## Typedef Documentation

typedef ClientRequestInterceptor* PortableInterceptor::ClientRequestInterceptor_ptr

typedef CORBA::Short PortableInterceptor::ReplyStatus

typedef IORInterceptor* PortableInterceptor::IORInterceptor_ptr

typedef IORInfo* PortableInterceptor::IORInfo_ptr

typedef IORInterceptor* PortableInterceptor::IORInterceptor_ptr

typedef ClientRequestInterceptor* PortableInterceptor::ClientRequestInterceptor_ptr

typedef ServerRequestInterceptor* PortableInterceptor::ServerRequestInterceptor_ptr

typedef ORBInitializer* PortableInterceptor::ORBInitializer_ptr

typedef ORBInitializer* PortableInterceptor::ORBInitializer_ptr

typedef CORBA::ULong PortableInterceptor::SlotId

typedef char* PortableInterceptor::ServerId

typedef CORBA::String_var PortableInterceptor::ServerId_var

typedef CORBA::String_out PortableInterceptor::ServerId_out

typedef char* PortableInterceptor::ORBId

typedef CORBA::String_var PortableInterceptor::ORBId_var

typedef CORBA::String_out PortableInterceptor::ORBId_out

typedef CORBA::StringSeq PortableInterceptor::AdapterName

typedef CORBA::StringSeq_var PortableInterceptor::AdapterName_var

typedef CORBA::StringSeq_out PortableInterceptor::AdapterName_out

typedef CORBA::OctetSeq PortableInterceptor::ObjectId

typedef CORBA::OctetSeq_var PortableInterceptor::ObjectId_var

typedef CORBA::OctetSeq_out PortableInterceptor::ObjectId_out

typedef CORBA::Long PortableInterceptor::AdapterManagerId

typedef CORBA::Long_out PortableInterceptor::AdapterManagerId_out

typedef CORBA::Short PortableInterceptor::AdapterState

typedef CORBA::Short_out PortableInterceptor::AdapterState_out

typedef CORBA::ULong PortableInterceptor::SlotId

typedef CORBA::ULong_out PortableInterceptor::SlotId_out

typedef CORBA::Short PortableInterceptor::ReplyStatus

typedef CORBA::Short_out PortableInterceptor::ReplyStatus_out

typedef PolicyFactory* PortableInterceptor::PolicyFactory_ptr

typedef ServerRequestInterceptor* PortableInterceptor::ServerRequestInterceptor_ptr

typedef CORBA::Short PortableInterceptor::ReplyStatus

## Function Documentation

TAO_Export void PortableInterceptor::register_orb_initializer | ( | ORBInitializer_ptr | init | ) |

Register an ORBInitializer with the global ORBInitializer table.

## Variable Documentation

const PortableInterceptor::AdapterState PortableInterceptor::HOLDING = 0

const PortableInterceptor::AdapterState PortableInterceptor::ACTIVE = 1

const PortableInterceptor::AdapterState PortableInterceptor::DISCARDING = 2

const PortableInterceptor::AdapterState PortableInterceptor::INACTIVE = 3

const PortableInterceptor::AdapterState PortableInterceptor::NON_EXISTENT = 4

const PortableInterceptor::ReplyStatus PortableInterceptor::SUCCESSFUL = 0

const PortableInterceptor::ReplyStatus PortableInterceptor::SYSTEM_EXCEPTION = 1

const PortableInterceptor::ReplyStatus PortableInterceptor::USER_EXCEPTION = 2

const PortableInterceptor::ReplyStatus PortableInterceptor::LOCATION_FORWARD = 3

const PortableInterceptor::ReplyStatus PortableInterceptor::TRANSPORT_RETRY = 4

const PortableInterceptor::ReplyStatus PortableInterceptor::UNKNOWN = 5